/*
 * 定義一個 scene，用成員變數儲存 scene 上面的物件
 * override preload, create, update 函式
 */
class Scene extends Phaser.Scene {
  /*********************************************************************************************************************** */
  constructor() {
    super();
    this.lastFireTime = null;
  }

  /*********************************************************************************************************************** */
  preload() {
    
  }

  /*********************************************************************************************************************** */
  create() {
    
  }

  /*********************************************************************************************************************** */
  update() {
    this.rocket.idle();
    
  }
}
